{
	"name": "form/nc/erp-sync/lantek/column/product_work.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && recDataDifferent(data.link_rec, colDef, x)"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-new": "data.change_status == 'new'"
			}
		}
	},
	"column-": [
		{
			"field": "res.json_data.transfer_id",
			"name": "Lantek machine",
			"width": 110,
			"organization_id": { "lantek": { "load": false } }
		}
	],
	"column": [
		{
			"change_compare": false,
			"link_field": "prwo.record_id",
			"name": "Row",
			"record_type": "",
			"variable": "idx"
		},
		{
			"export": false,
			"name": "Status",
			"variable": "change_status",
			"editable": false,
			"width": 60
		},
		{
			"export": false,
			"name": "Change field",
			"variable": "change_field",
			"editable": false,
			"width": 130
		},
		{
			"change_compare": false,
			"field": "prwo.json_data.product_work_state",
			"name": "State",
			"width": 60,
			"organization_id": { "lantek": { "load": false } }
		},
		{
			"field": "prwo.production_order_id",
			"name": "Prod. ord.",
			"width": 110
		},
		{
			"field": "prwo.json_data.production_lot__work_ph",
			"name": "Phase",
			"width": 110,
			"organization_id": { "lantek": { "load": false } }
		},
		{
			"field": "prwo.resource_id",
			"name": "Load group",
			"width": 110
		},
		{
			"field": "prwo.description",
			"name": "Description",
			"width": 250
		},
		{
			"field": "pr.product_id",
			"name": "Product id",
			"width": 150,
			"organization_id": { "lantek": { "load": false } }
		},
		{
			"field": "pr.name",
			"name": "Product name",
			"width": 250,
			"organization_id": { "lantek": { "load": false } }
		},
		{
			"field": "pro.json_data.delivery_date",
			"name": "Delivery",
			"width": 85,
			"organization_id": { "lantek": { "load": false } }
		},
		{
			"change_compare": false,
			"field": "prwo.modify_user",
			"name": "Modifier",
			"width": 90,
			"organization_id": { "lantek": { "load": false } }
		},
		{
			"change_compare": false,
			"field": "prwo.record_id",
			"name": "Record id",
			"width": 350
		}
	]
}
